unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  dcAVI, StdCtrls, ExtCtrls, Spin;

type
  TForm1 = class(TForm)
    Button1: TButton;
    DCAVIPlayer1: TDCAVIPlayer;
    DCAVIPlayer2: TDCAVIPlayer;
    Bevel1: TBevel;
    Button2: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Image1: TImage;
    Bevel2: TBevel;
    Bevel3: TBevel;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  with DCAVIPlayer1 do
  begin
    Active := not Active;
    if Active then Button1.Caption := 'Stop'
    else Button1.Caption := 'Start';
  end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  DCAVIPlayer2.Transparent := CheckBox1.Checked;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  DCAVIPlayer2.Stretch := CheckBox2.Checked;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  with DCAVIPlayer2 do
  begin
    Active := not Active;
    if Active then Button2.Caption := 'Stop'
    else Button2.Caption := 'Start';
  end;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DCAVIPlayer1.Active := False;
  DCAVIPlayer2.Active := False;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Button1Click(Sender);
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  try
    DCAVIPlayer2.StartFrame := StrToInt(Edit1.Text);
  except
    DCAVIPlayer2.StartFrame := 0;
  end;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  try
    DCAVIPlayer2.StopFrame := StrToInt(Edit2.Text);
  except
    DCAVIPlayer2.StopFrame := 28;
  end;
end;

end.
